/**
* DevExtreme (esm/ui/pivot_grid.js)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import PivotGrid from './pivot_grid/ui.pivot_grid';

// STYLE pivotGrid

export default PivotGrid;

/**
 * @name dxPivotGridPivotGridCell
 * @type object
 */

/**
 * @name dxPivotGridOptions.activeStateEnabled
 * @hidden
 */

/**
 * @name dxPivotGridOptions.hoverStateEnabled
 * @hidden
 */

/**
 * @name dxPivotGridOptions.focusStateEnabled
 * @hidden
 */

/**
 * @name dxPivotGridOptions.accessKey
 * @hidden
 */

/**
 * @name dxPivotGrid.registerKeyHandler
 * @publicName registerKeyHandler(key, handler)
 * @hidden
 */

// --- PivotGrid DataSource ---
/**
 * @name PivotGridDataSourceOptions.fields.index
 * @type number
 * @default undefined
 * @hidden
 */

/**
 * @name PivotGridDataSourceOptions.fields.headerFilter.width
 * @type number
 * @default undefined
 */
/**
 * @name PivotGridDataSourceOptions.fields.headerFilter.height
 * @type number
 * @default undefined
 */
/**
 * @name PivotGridDataSourceOptions.fields.headerFilter.allowSearch
 * @type boolean
 * @default undefined
 * @deprecated
 */
