/**
* DevExtreme (esm/ui/scheduler.js)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import Scheduler from './scheduler/ui.scheduler';

// STYLE scheduler

export default Scheduler;

/**
 * @name dxSchedulerOptions.activeStateEnabled
 * @hidden
 */

/**
 * @name dxSchedulerOptions.hoverStateEnabled
 * @hidden
 */

/**
 * @name dxScheduler.registerKeyHandler
 * @publicName registerKeyHandler(key, handler)
 * @hidden
 */

/**
 * @hidden
 * @name dxSchedulerOptions.indicatorTime
 * @type Date
 * @default undefined
 */

/**
 * @hidden
 * @name dxSchedulerOptions.appointmentPopupTemplate
 * @type template|function
 * @default "appointmentPopup"
 * @type_function_param1 appointmentData:object
 * @type_function_param2 contentElement:DxElement
 * @type_function_return string|Element|jQuery
 */
