/**
* DevExtreme (utils.d.ts)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * @docid Utils.compileGetter
 * @publicName compileGetter(expr)
 * @namespace DevExpress.data.utils
 * @public
 */
export function compileGetter(expr: string | Array<string>): Function;

/**
 * @docid Utils.compileSetter
 * @publicName compileSetter(expr)
 * @namespace DevExpress.data.utils
 * @public
 */
export function compileSetter(expr: string | Array<string>): Function;
