/**
* DevExtreme (cjs/ui/draggable.js)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
"use strict";

exports.default = void 0;
var _m_draggable = _interopRequireDefault(require("../__internal/m_draggable"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = _m_draggable.default;
/**
 * @section Utils
 * @default null
 * @name dxDraggableOptions.onDrop
 * @type function(e)
 * @type_function_param1 e:object
 * @type_function_param1_field1 component:this
 * @type_function_param1_field2 element:DxElement
 * @type_function_param1_field3 model:object
 * @type_function_param1_field4 event:event
 * @type_function_param1_field5 itemData:any
 * @type_function_param1_field6 itemElement:DxElement
 * @type_function_param1_field7 fromComponent:dxSortable|dxDraggable
 * @type_function_param1_field8 toComponent:dxSortable|dxDraggable
 * @type_function_param1_field9 fromData:any
 * @type_function_param1_field10 toData:any
 * @action
 * @hidden
 */
/**
 * @name DraggableBaseOptions.contentTemplate
 * @type template|function
 * @type_function_return string|Element|jQuery
 * @hidden
 * @default "content"
 */
/**
 * @name dxDraggableOptions.filter
 * @type string
 * @default ""
 * @hidden
 */
exports.default = _default;
module.exports = exports.default;
module.exports.default = exports.default;
