/**
* DevExtreme (esm/excel_exporter.js)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { exportDataGrid } from './exporter/exceljs/export_data_grid';
import { exportPivotGrid } from './exporter/exceljs/export_pivot_grid';

/**
* @name excelExporter
* @section utils
*/

/**
 * @name ExcelDataGridCell
 * @type object
 */

/**
 * @name ExcelPivotGridCell
 * @inherits dxPivotGridPivotGridCell
 */

export { exportDataGrid, exportPivotGrid };
