/**
* DevExtreme (esm/ui/data_grid.js)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DataGrid from '../__internal/grids/data_grid/m_widget';

/**
 * @name dxDataGridColumn
 * @inherits GridBaseColumn
 * @type object
 */
/**
 * @name dxDataGridColumnButton
 * @inherits GridBaseColumnButton
 * @prevFileNamespace DevExpress.ui
 * @type object
 */

/**
* @name GridBase.registerKeyHandler
* @publicName registerKeyHandler(key, handler)
* @hidden
*/

/**
 * @name GridBase.stopSelectionWithCheckboxes
 * @publicName stopSelectionWithCheckboxes()
 * @hidden
 * @return boolean
 */

/**
 * @name dxDataGridOptions.selection.maxFilterLengthInRequest
 * @type number
 * @hidden
 * @default 1500
 */

/**
 * @name GridBase.startSelectionWithCheckboxes
 * @publicName startSelectionWithCheckboxes()
 * @hidden
 * @return boolean
 */

export default DataGrid;
