/**
* DevExtreme (esm/viz/docs/docGaugeIndicators.js)
* Version: 23.1.7
* Build date: Fri Apr 26 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
* @name circularRectangleNeedle
* @publicName RectangleNeedle
* @section circularIndicators
* @type CommonIndicator
* @default '#C2C2C2' &prop(color)
*/
/**
* @name circularTriangleNeedle
* @publicName TriangleNeedle
* @section circularIndicators
* @type CommonIndicator
* @default '#C2C2C2' &prop(color)
*/
/**
* @name circularTwoColorNeedle
* @publicName TwoColorNeedle
* @section circularIndicators
* @type CommonIndicator
* @default '#C2C2C2' &prop(color)
*/
/**
* @name circularRangeBar
* @publicName RangeBar
* @section circularIndicators
* @type CommonIndicator
* @default '#CBC5CF' &prop(color)
* @default 30 &prop(offset)
*/
/**
* @name circularTriangleMarker
* @publicName TriangleMarker
* @section circularIndicators
* @type CommonIndicator
* @default '#8798A5' &prop(color)
* @default 13 &prop(width)
* @default 14 &prop(length)
* @default 6 &prop(offset)
*/
/**
* @name circularTextCloud
* @publicName TextCloud
* @section circularIndicators
* @type CommonIndicator
* @default '#679EC5' &prop(color)
* @default '#FFFFFF' &prop(text.font.color)
* @default 18 &prop(text.font.size)
* @default -6 &prop(offset)
*/
/**
* @name linearRectangle
* @publicName Rectangle
* @section linearIndicators
* @type CommonIndicator
* @default '#C2C2C2' &prop(color)
* @default 15 &prop(width)
* @default 2.5 &prop(offset)
*/
/**
* @name linearCircle
* @publicName Circle
* @section linearIndicators
* @type CommonIndicator
* @default '#C2C2C2' &prop(color)
* @default 2.5 &prop(offset)
*/
/**
* @name linearRhombus
* @publicName Rhombus
* @section linearIndicators
* @type CommonIndicator
* @default '#C2C2C2' &prop(color)
* @default 15 &prop(width)
* @default 2.5 &prop(offset)
*/
/**
* @name linearRangeBar
* @publicName RangeBar
* @section linearIndicators
* @type CommonIndicator
* @default '#CBC5CF' &prop(color)
* @default 10 &prop(offset)
*/
/**
* @name linearTriangleMarker
* @publicName TriangleMarker
* @section linearIndicators
* @type CommonIndicator
* @default '#8798A5' &prop(color)
* @default 13 &prop(width)
* @default 14 &prop(length)
* @default 10 &prop(offset)
*/
/**
* @name linearTextCloud
* @publicName TextCloud
* @section linearIndicators
* @type CommonIndicator
* @default '#679EC5' &prop(color)
* @default '#FFFFFF' &prop(text.font.color)
* @default 18 &prop(text.font.size)
* @default -1 &prop(offset)
*/
